Bug 55260 - Mounts disappear when using bind mount to automounter point
Mounts disappear when using bind mount to automounter point
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: am-utils (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-28 12:13 EST by Jeremy Sanders
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 05:27:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Sanders 2001-10-28 12:13:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
I haven't been able to test this against RH7.2, but on RH7.1, the problem
is as follows:

We have an automounter (autofs) set up to automount into the /data
automount point, e.g. /data/caldb

automount(pid772) on /data type autofs (rw,fd=5,pgrp=772,minproto=2,maxproto=3)
xalph3.ast.cam.ac.uk:/soft3/caldb on /data/caldb type nfs
(rw,addr=131.111.68.53)

If I then use the --bind option on mount to bind this directory to another one:

> mount --bind /data/caldb /caldb

/data/caldb on /caldb type none (rw,bind)


It works fine, but when the automounter point expires, the bind mount
expires. I'd say this is a bug.

We could symlink to the automounter point, but what is the preferred solution?


Version-Release number of selected component (if applicable):
mount-2.11b-3
kernel-2.4.3-12
autofs-3.1.7-14

How reproducible:
Always

Steps to Reproduce:
1. Make a bind mount to an automounter point
2. Wait for automounter to unmount point
3. Bind mount disappears.

	

Additional info:
Comment 1 Bernhard Rosenkraenzer 2001-10-30 07:12:39 EST
IMO the automount point shouldn't expire while there's a bind mount...
Reassinging to am-utils.
Comment 2 Peter Vrabec 2005-09-30 05:27:43 EDT
It works like u expected in current fedora core 4.
autofs-4.1.4-8
util-linux-2.12p-9.7
kernel-2.6.12-1.1398_FC4

btw. I don't know why this bug was reassigned to am-utils.

Note You need to log in before you can comment on or make changes to this bug.